package fi.ar.formplugin;

import com.alibaba.druid.util.StringUtils;
import kd.bos.bill.BillShowParameter;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.DynamicObjectCollection;
import kd.bos.form.*;
import kd.bos.form.events.AfterDoOperationEventArgs;
import kd.bos.form.events.ClosedCallBackEvent;
import kd.bos.form.plugin.AbstractFormPlugin;
import kd.bos.list.ListShowParameter;
import kd.bos.report.ReportShowParameter;
import kd.bos.report.plugin.AbstractReportFormPlugin;
import kd.imc.sim.formplugin.report.AbstractReportPlugin;
import kd.sdk.plugin.Plugin;

import java.util.EventObject;

/**
 * @author cjz
 * @date 2024/10/11 14:50
 * @description:跳转到报表
 */
public class FinarbillFormPlugin extends AbstractFormPlugin implements Plugin {


    //初始化自动点击跳转按钮
    @Override
    public void afterBindData(EventObject e) {
        super.afterBindData(e);
        Object flag = this.getView().getFormShowParameter().getCustomParam("flag");
        //如果为预警跳转的页面则自动点击跳转按钮到报表
        if (("1").equals(flag)) {
            //获取当前单据
            DynamicObject dynamicObject=this.getModel().getDataEntity(true);
            Long id=dynamicObject.getLong("id");
            //往来类型
            String asstacttype=dynamicObject.getString("asstacttype");
            ReportShowParameter showParameter = new ReportShowParameter();
            //设置参数传给子界面
            showParameter.setCustomParam("parentid",id);
            showParameter.setCustomParam("flag","1");
            showParameter.setCustomParam("q_asstacttype","bd_supplier");
            showParameter.setFormId("ar_acctagerpt_n");
            showParameter.setCaption("账龄分析表");
            showParameter.getOpenStyle().setShowType(ShowType.Modal);
            StyleCss inlineStyleCss = new StyleCss();
            inlineStyleCss.setHeight("1800");
            inlineStyleCss.setWidth("1500");
            showParameter.getOpenStyle().setInlineStyleCss(inlineStyleCss);
            showParameter.setCloseCallBack(new CloseCallBack(this,"ar_acctagerpt_n"));
            this.getView().showForm(showParameter);
        }
    }

    @Override
    public void closedCallBack(ClosedCallBackEvent e) {
        super.closedCallBack(e);
        if (StringUtils.equals("ar_acctagerpt_n",e.getActionId())) {
            this.getModel().setDataChanged(false);
            this.getView().close();
        }
    }
}
