package fi.em.formPlugin;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.DynamicObjectCollection;
import kd.bos.entity.ExtendedDataEntity;
import kd.bos.entity.botp.plugin.AbstractConvertPlugIn;
import kd.bos.entity.botp.plugin.args.AfterFieldMappingEventArgs;

public class BusinessProcessingPushSplitPlugin extends AbstractConvertPlugIn {
    @Override
    public void afterFieldMapping(AfterFieldMappingEventArgs e) {
        String targetEntityNumber = this.getTgtMainType().getName();
        ExtendedDataEntity[] billDataEntitys = e.getTargetExtDataEntitySet().FindByEntityKey(targetEntityNumber);
        for (ExtendedDataEntity billDataEntity : billDataEntitys) {
            DynamicObject dataEntity = billDataEntity.getDataEntity();
            //目标单标识
            String name = dataEntity.getDynamicObjectType().getName();
            //目标单拆分前卡片分录
            DynamicObject assetsplitentry = dataEntity.getDynamicObjectCollection("assetsplitentry").get(0);
            //目标单拆分后卡片分录
            DynamicObjectCollection subassetsplitentry = assetsplitentry.getDynamicObjectCollection("subassetsplitentry");
            for (int i = 0; i < subassetsplitentry.size(); i++) {
                DynamicObject subassetsplit = subassetsplitentry.get(i);
                DynamicObject aft_org = subassetsplit.getDynamicObject("aft_org");
                subassetsplit.set("aft_assetunit", aft_org);
            }
        }
    }
}
